<?php
if (!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

$type = $zftype;
if (empty($type)) $type = 'alipay';
$pay_bank = unserialize($zhifufm_group['fatetype']);
//payType 可传值说明:https://docs.nephalem.cn/read/zhifufm/startorder#92hhqu
foreach ($pay_bank as $key => $value) {
	if ($value == 'wechat') {
		$pay_banks['wechat'] = "wechat";
	} else if ($value == 'alipay') {
		$pay_banks['alipay'] = 'alipay';
	}else if ($value == 'alipaysign') {
		$pay_banks['alipaysign'] = 'alipaysign';
	}else if ($value == 'alipay-facetoface') {
		$pay_banks['alipay-facetoface'] = 'alipay-facetoface';
	}else if ($value == 'wxpaynative') {
		$pay_banks['wxpaynative'] = 'wxpaynative';
	}else if ($value == 'bankapp') {
		$pay_banks['bankapp'] = 'bankapp';
	}else if ($value == 'jsnx.qrcode') {
		$pay_banks['jsnx.qrcode'] = 'jsnx.qrcode';
	}else if ($value == 'wxpayh5') {
		$pay_banks['wxpayh5'] = 'wxpayh5';
	}else if ($value == 'wxpayjsapi') {
		$pay_banks['wxpayjsapi'] = 'wxpayjsapi';
	}else if ($value == 'alipay.direct.pc') {
		$pay_banks['alipay.direct.pc'] = 'alipay.direct.pc';
	}else if ($value == 'alipay.direct.wap') {
		$pay_banks['alipay.direct.wap'] = 'alipay.direct.wap';
	}
}

if (!$pay_banks[$type]) {
	showmessage("请选择支付后进行支付", 'plugin.php?id=zhifufm_group');
}

$apiurl = $zhifufm_group['apiurl'];
$notify_url = $_G['siteurl'] . 'source/plugin/zhifufm_group/paylib/notify_fate.inc.php';

$return_url = str_replace('source/plugin/zhifufm_group/paylib/', '',$_G['siteurl']);
$return_url=$zhifufm_group['tz']? $zhifufm_group['tz'] : $return_url.'plugin.php?id=zhifufm_group&p=my';

$sign = md5($zhifufm_group['fateid'].$orderid.$money.$notify_url.$zhifufm_group['fatekey']);
$parameter = array(
		"merchantNum" => $zhifufm_group['fateid'],
		"orderNo" => $orderid,
		"payType" => $type,
		"amount" => $money,
		"attch" => $_G['uid'],
		"returnType" => 'json',
		"returnUrl" => $return_url,
		"notifyUrl" => $notify_url,
		"sign" => $sign
);

$param = http_build_query($parameter);
$return = http_request($apiurl, $param, 'application/x-www-form-urlencoded;charset=utf-8');
if(strpos($return,'{') === 0){
	$return = json_decode($return, true);
	if($return['success']){
		//json方式展示支付链接有如下几种
		header("Refresh:0.1;url=" . $return['data']['payUrl']); //会在0.1秒后执行跳转
	}else{
		showmessage("请求失败:".$return['msg'], 'plugin.php?id=zhifufm_group');
	}
}else{
	showmessage("接口请求异常", 'plugin.php?id=zhifufm_group');
	exit();
}


// 发送请求
function http_request($url, $post_data=array(), $header='Content-Type: application/json'){
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	// 返回最后的Location
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 60);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, FALSE);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			$header,
			'Content-Length: ' . strlen($post_data)
	));
	$contents = curl_exec($ch);
	curl_close($ch);
	return $contents;
}
exit;
//include template('zhifufm_group:pay');

?>